#! /usr/bin/bash

if [[ $UID != 0 ]]; then
  echo "Please run this using sudo"
  exit
fi

fileName=backup_WebPage-$(date +'%m-%d-%Y').tar.gz

dir=$(pwd)

echo "====== backup Web page data at /var/www/"

cd /var/

#tar -czf $fileName www/

tar -cf - www/ -P | pv -s $(du -sb www/ | awk '{print $1}') | gzip > $fileName

ls -l $fileName

mv $fileName $dir/.

echo "backup saved to ${fileName}"
